## List existing interconnects `client.networkInterconnects.interconnects.list(InterconnectListParamsparams, RequestOptionsoptions?): InterconnectListResponse` **get** `/accounts/{account_id}/cni/interconnects` List existing interconnects ### Parameters - `params: InterconnectListParams` - `account_id: string` Path param: Customer account tag - `cursor?: number | null` Query param - `limit?: number | null` Query param - `site?: string | null` Query param: If specified, only show interconnects located at the given site - `type?: string | null` Query param: If specified, only show interconnects of the given type ### Returns - `InterconnectListResponse` - `items: Array` - `NscInterconnectPhysicalBody` - `account: string` - `facility: Facility` - `address: Array` - `name: string` - `name: string` - `site: string` A Cloudflare site name. - `slot_id: string` - `speed: string` - `type: string` - `owner?: string` - `NscInterconnectGcpPartnerBody` - `account: string` - `name: string` - `region: string` - `type: string` - `owner?: string` - `speed?: "50M" | "100M" | "200M" | 9 more` Bandwidth structure as visible through the customer-facing API. - `"50M"` - `"100M"` - `"200M"` - `"300M"` - `"400M"` - `"500M"` - `"1G"` - `"2G"` - `"5G"` - `"10G"` - `"20G"` - `"50G"` - `next?: number | null` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const interconnects = await client.networkInterconnects.interconnects.list({ account_id: 'account_id', }); console.log(interconnects.items); ``` #### Response ```json { "items": [ { "account": "account", "facility": { "address": [ "string" ], "name": "name" }, "name": "name", "site": "site", "slot_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "speed": "speed", "type": "type", "owner": "owner" } ], "next": 0 } ```